# vi:set ts=8 sw=8 noet ai nocindent syntax=automake:

if ENABLE_KEYBOARD_LIBRARY

INCLUDES =								\
	-I$(top_builddir)						\
	-I$(top_srcdir)							\
	-DDATADIR=\"$(datadir)\"					\
	-DG_LOG_DOMAIN=\"libxfce4kbd-private\"				\
	-DPACKAGE_LOCALE_DIR=\"$(localedir)\"				\
	-DPREFIX=\"$(prefix)\"						\
	$(PLATFORM_CPPFLAGS)

lib_LTLIBRARIES = 							\
	libxfce4kbd-private.la

shortcuts_headers =							\
	xfce-shortcuts-provider.h					\
	xfce-shortcuts-grabber.h					\
	xfce-shortcut-dialog.h						\
	xfce-shortcuts.h

libxfce4kbd_privateincludedir = 					\
	$(includedir)/xfce4/libxfce4kbd-private

libxfce4kbd_privateinclude_HEADERS =					\
	$(shortcuts_headers)

libxfce4kbd_private_la_SOURCES =					\
	xfce-shortcuts-provider.c					\
	xfce-shortcuts-grabber.c					\
	xfce-shortcut-dialog.c						\
	xfce-shortcuts.c

libxfce4kbd_private_la_CFLAGS = 					\
	$(PLATFORM_CFLAGS)						\
	$(GLIB_CFLAGS)							\
	$(GTK_CFLAGS)							\
	$(LIBX11_CFLAGS)						\
	$(LIBXFCE4UTIL_CFLAGS)						\
	$(XFCONF_CFLAGS)

libxfce4kbd_private_la_LDFLAGS =					\
	-export-dynamic							\
	-version-info $(LIBXFCE4KBD_PRIVATE_VERINFO)			\
	-export-symbols-regex "^[^_].*"					\
	-no-undefined							\
	$(LIBX11_LDFLAGS)

libxfce4kbd_private_la_LIBADD =						\
	$(top_builddir)/libxfcegui4/libxfcegui4.la			\
	$(PLATFORM_LDFLAGS)						\
	$(GLIB_LIBS)							\
	$(GTK_LIBS)							\
	$(LIBX11_LIBS)							\
	$(LIBXFCE4UTIL_LIBS)						\
	$(XFCONF_LIBS)

settingsdir = $(sysconfdir)/xdg/xfce4/xfconf/xfce-perchannel-xml
settings_DATA = xfce4-keyboard-shortcuts.xml

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = libxfce4kbd-private-1.0.pc

EXTRA_DIST = \
	$(settings_DATA)

# required for gtk-doc
dist-hook: all

endif # ENABLE_KEYBOARD_LIBRARY
